<h1 align="center">
  create-t3nuxt-app
</h1>

<p align="center">
  Interactive CLI to start a full-stack, typesafe Nuxt app.
</p>

<p align="center">
  Get started with the <a rel="noopener noreferrer" target="_blank" href="https://init.tips">T3 Stack</a> by running <code>npm create t3nuxt-app@latest</code>
</p>

<div align="center">

[![PRs-Welcome][contribute-image]][contribute-url] [![NPM version][npm-image]][npm-url]
[![Downloads][downloads-image]][npm-url]

</div>

## Table of contents

- <a href="#about">The T3 Stack</a>
- <a href="#getting-started">Getting Started</a>
- <a href="#shoutouts">Shoutouts</a>
<!-- - <a href="#contributors">Contributors</a> -->

<h2 id="about">The T3 Stack</h2>

The _"T3 Stack"_ is a web development stack made by [Theo](https://twitter.com/t3dotgg) focused on **simplicity**, **modularity**, and **full-stack typesafety**. While `create-t3-app` is meant for Next.js, this is an implementation of the same mentality but applied to Nuxt. It consists of:

- [Nuxt](https://nuxt.com)
- [tRPC](https://trpc.io)
- [Tailwind CSS](https://tailwindcss.com)
- [TypeScript](https://typescriptlang.org)
- [Prisma](https://prisma.io)
- [NextAuth.js](https://next-auth.js.org)

<h2 id="getting-started">Getting Started</h2>

To scaffold an app using `create-t3nuxt-app`, run any of the following three commands and answer the command prompt questions:

### npm

```bash
npm create t3nuxt-app@latest
```

### yarn

```bash
yarn create t3nuxt-app
```

### pnpm

```bash
pnpm create t3nuxt-app@latest
```

<!-- For more advanced usage, check out the [CLI docs](https://create.t3.gg/en/installation). -->

<!-- <h2 id="community">Community</h2>

For help, discussion about best practices, or any other conversation that would benefit create-t3-app:

[Join the T3 Discord Server](https://t3.gg/discord)

<h2 id="contributors">Contributors</h2>

We 💖 contributors! Feel free to contribute to this project but **please read the [Contributing Guidelines](CONTRIBUTING.md) before opening an issue or PR** so you understand the branching strategy and local development environment. We also welcome you to join our [Discord](https://discord.gg/tEAQjDseSX) community for either support or contributing guidance. -->

<h2 id="shoutouts">Shoutouts</h2>

- [Theo @ T3](https://t3.gg/) for T3 Stack inspiration!
- [Nexxel](https://github.com/nexxeln) for the OG create-t3-app!

<!-- <a href="https://github.com/gfidder/create-t3nuxt-app/graphs/contributors">
  <p align="center">
    <img width="720" src="https://contrib.rocks/image?repo=gfidder/create-t3nuxt-app" alt="A table of avatars from the project's contributors" />
  </p>
</a> -->

<!-- <p align="center">
  Made with <a rel="noopener noreferrer" target="_blank" href="https://contrib.rocks">contrib.rocks</a>
</p> -->

<!-- <p align="center">
  <a rel="noopener noreferrer" target="_blank" href="https://vercel.com/?utm_source=t3-oss&utm_campaign=oss">
    <img height="34px" src="https://www.datocms-assets.com/31049/1618983297-powered-by-vercel.svg" alt="Powered by vercel">
  </a>
</p> -->

[downloads-image]: https://img.shields.io/npm/dm/create-t3nuxt-app?color=364fc7&logoColor=364fc7
[npm-url]: https://www.npmjs.com/package/create-t3nuxt-app
[npm-image]: https://img.shields.io/npm/v/create-t3nuxt-app?color=0b7285&logoColor=0b7285
[contribute-url]: https://github.com/gfidder/create-t3nuxt-app/blob/main/CONTRIBUTING.md
[contribute-image]: https://img.shields.io/badge/PRs-welcome-blue.svg
